import java.io.*; 

public class H3OD3
{ 
// sayinin exponenti dinamik metodu 

public double kuvvet(double x,double y) 
{ 
// y nin pozitif oldušu kabul edilmistir.
if(y<0) return 0;
if(y ==0) return 1;
else return x*kuvvet(x,y-1);
}

public static void main(String[] args) throws IOException 
{ 
Text cin=new Text();
double sayi1;
double sayi2; 
H3OD2 x=new H3OD2();
System.out.println(" sayiyi  giriniz : ");
sayi1=cin.readDouble(); 
System.out.println(" kuvveti giriniz : ");
sayi2=cin.readDouble(); 
System.out.println(""+sayi1+" nin "+sayi2+" inci kuvveti : "+x.kuvvet(sayi1,sayi2)); 
} 
}


